
Installer - Bug #32622

RHEL content on a content proxy returns a 403 to clients

05/18/2021 06:01 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: 2.3.4   

Difficulty:  Fixed in Releases: 2.3.4

Triaged: No Found in Releases:  

Bugzilla link: 1961885 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/193,

https://github.com/theforeman/puppet-pul

pcore/pull/191

  

Description

Discourse thread: 

https://community.theforeman.org/t/403-forbidden-error-for-rhel-repos-with-the-clients-registered-to-smart-proxy/23450

[root@rhel7-client  entitlement]# curl --cert /etc/pki/entitlement/1373568910360318289.pem --key /

etc/pki/entitlement/1373568910360318289-key.pem https://ForemanSmartProxy.example.com/pulp/content

/ORG/DEV/RHEL_7/content/dist/rhel/server/7/7Server

/x86_64/os/repodata/repomd.xml

403: A client certificate was not received via the `X-CLIENT-CERT` header.

Associated revisions

Revision 627f0841 - 05/19/2021 11:46 AM - Eric Helms

Fixes #32622: Include StdEnvVars, ExportCertData SSL options in Apache

When deploying a stand-alone vhost, Pulp needs these SSL options

set in order for X-CLIENT-CERT to be set.

History

#1 - 05/18/2021 08:06 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/193 added

#2 - 05/18/2021 08:07 PM - Eric Helms

- Target version set to 2.3.4

I am proposing this for 2.3.4 and 2.4 as it is affecting a number of users.

#3 - 05/18/2021 10:14 PM - Eric Helms

- Bugzilla link set to 1961885

#4 - 05/19/2021 11:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/191 added

#5 - 05/19/2021 12:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|627f084160634a18b04a250546e8a671265b944f.

#6 - 05/20/2021 09:52 AM - Amit Upadhye
https://community.theforeman.org/t/403-forbidden-error-for-rhel-repos-with-the-clients-registered-to-smart-proxy/23450
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/627f084160634a18b04a250546e8a671265b944f


- Fixed in Releases 2.3.4 added
